Bug 1416651 - net-snmp reports incorrect used disk space for large filesystems
Summary: net-snmp reports incorrect used disk space for large filesystems
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.8
Hardware: x86_64
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Josef Ridky
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 08:32 UTC by Apurbita Mukherjee
Modified: 2020-03-11 15:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-30 06:58:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Apurbita Mukherjee 2017-01-26 08:32:41 UTC
Description of problem:

The net-snmp-5.5-57.el6_8.1.x86_64 package that is available for red hat enterprise linux 6 from the repo is old and misreports the size of large storage devices/partitions/logical volumes such as the 13 TB. This issue does not exist with net-snmp 5.7.3.

Version-Release number of selected component (if applicable):
net-snmp-5.5-57.el6_8.1

How reproducible:
Always


Steps to Reproduce:
1. $ snmpwalk -v 2c server2 hrStorage | egrep 'hrStorageDescr.40|hrStorageSize.40|hrStorageUsed.40|hrStorageAllocationUnits.40'
HOST-RESOURCES-MIB::hrStorageDescr.40 = STRING: /splunk/cold
HOST-RESOURCES-MIB::hrStorageAllocationUnits.40 = INTEGER: 4096 Bytes
HOST-RESOURCES-MIB::hrStorageSize.40 = INTEGER: 1310092248
HOST-RESOURCES-MIB::hrStorageUsed.40 = INTEGER: 1288724630
 
2. [user1@server2 ~]$ df -k | head -n 1 && df -k | grep cold
Filesystem             1K-blocks       Used  Available Use% Mounted on
/dev/mapper/splunk_cold_vg-splunk_cold_lv
                     13830303584 5154937136 7972820528  40% /splunk/cold

Actual results:

$ snmpwalk -v 2c server2 hrStorage | egrep 'hrStorageDescr.40|hrStorageSize.40|hrStorageUsed.40|hrStorageAllocationUnits.40'
HOST-RESOURCES-MIB::hrStorageDescr.40 = STRING: /splunk/cold
HOST-RESOURCES-MIB::hrStorageAllocationUnits.40 = INTEGER: 4096 Bytes
HOST-RESOURCES-MIB::hrStorageSize.40 = INTEGER: 1310092248
HOST-RESOURCES-MIB::hrStorageUsed.40 = INTEGER: 1288724630
 
[user1@server2 ~]$ df -k | head -n 1 && df -k | grep cold
Filesystem             1K-blocks       Used  Available Use% Mounted on
/dev/mapper/splunk_cold_vg-splunk_cold_lv
                     13830303584 5154937136 7972820528  40% /splunk/cold


Expected results:

It should have normal behavior

Additional info:
The net-snmp-5.5-57.el6_8.1.x86_64 package that is available for red hat enterprise linux 6 from the repo is old and misreports the size of large storage devices/partitions/logical volumes such as the 13 TB ones which customer has. The customer have tested that this issue does not exist with net-snmp 5.7.3.

For reference: https://bugzilla.redhat.com/show_bug.cgi?id=789441


Note You need to log in before you can comment on or make changes to this bug.